<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateShopAccountsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_account', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('shop_id')->comment('店铺id');
            $table->string('account')->nullable()->comment('账号');
            $table->string('mobile',16)->nullable()->comment('手机号码');
            $table->string('password')->nullable()->comment('密码');
            $table->integer('status')->default(1)->comment('状态 1启用 0禁用');
            $table->string('ip')->default('')->comment('登陆ip');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_accounts');
    }
}
